# mailshield web interface startup script
#
# Copyrigth (c) 2000 Lyris Technologies, Inc
#

set error ""
set dontrun 0

set home [string trimright [file dirname [info script]] ./]
set home [file join [pwd] $home]

# set here the tclHttpd path
set httpd_dir [file join [file dirname $home] tclhttpd]

# set here the mailshield-tcl directory
set mailshield_dir [file join [file dirname $home] shweb]
unset home

if {[catch {
# load the mailshield config files
source $mailshield_dir/shield.tcl

# source the font files
source $mailshield_dir/fonts.tcl

#initialise mailshield valiables
shield_init
} error] != 0} {
    puts "\nerror: $error\nMailShield Web Interface initialization error. Web Interface won't run."
    puts "Check if the tcllib or web directories are not missing."
    set dontrun 1
}

# start the mail interface only if the tcp/ip address differs from 0
if {$sh_config_array_value(webtcpip) != 0} {
    # init tclhttpd for mailshield (the standard script is httpd.tcl)
    #source $httpd_dir/bin/httpd_ms.tcl
    if {[catch {source $httpd_dir/bin/httpd_ms.tcl} error] != 0} {
        puts "\nTclHttpd error: $error\nMailShield Web Interface won't run. Check if the tcllib or web directories are not missing."
        set dontrun 1
    }

    if {$dontrun == 0} {
        # Map the mailshield web interface to /shield
        Shield_Url shield

        # wait until somebody modify the "forever" variable
        vwait forever
    }
}

#puts "Doing clean shutdown"


