# Basic function to read the password in the file
# "pass_file". Change this function if you want another
# method to read the password

proc Read_Passwd { user } {
    global sh_config
    
    # read the password file and store its contents in 
    # the "password_file" variable
    set pass_file "$sh_config/password.txt"
    set file_id [open $pass_file]
    set password_file [read $file_id]
    close $file_id
	
    # remove all the comment line (begining by #) at the
    # begining of the password.txt file
    regsub -all {\#[^\n]*\n?} $password_file "" password_file

    # if the password.txt file is empty, then do not ask
    # for a password
    if {$password_file == ""} {
        return ""
    }
    
    # foreach login password peer, compare the login with
    # the "user" variable sent to this procedure. If they
    # match then return the password, else return nothing
    foreach var [split $password_file \n] {
        #check all the "login:password" coupe
        if {[regexp : $var] == 1} {
            set logpass [split $var :]
            if {[lindex $logpass 0] == $user} {
                return [lindex $logpass 1]
            }
        }
    }
    return 0
}

# authenticate the user with the furnished password
# the variable $pass is furnished in clear.
# Rewrite this function if you want to change the password
# checking method

proc Password_Check {sock realm user pass} {

    # if the Read_Passwd function returns 0 then the
    # authorization failed
    if {[Read_Passwd $user] == "0"} {
        return 0
    }

    if {$pass == ""} {
        if {[Read_Passwd $user] == ""} { 
            # empty password file or any login&blank password
            return 1
        }
        return 0
    } else {
        if {$pass == [Read_Passwd $user]} {
            # normal login and password procedure
            return 1
        }
        return 0
    }
}
